# Enum DatalinkCode

java.lang.Object
java.lang.Enum<DatalinkCode>
uk.ac.starlink.ttools.taplint.DatalinkCode

All Implemented Interfaces:
  `Serializable, Comparable<DatalinkCode>, java.lang.constant.Constable, ReportCode`

public enum DatalinkCode extends Enum<DatalinkCode> implements ReportCode
Enumerates known ReportCode instances for Datalink validation.

Since:
  27 Nov 2017
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DatalinkCode.Doc`
Enumerates standards documents.

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`E_BFLT`
`E_BVOT`
`E_CQCO`
`E_DCER`
`E_DLCT`
`E_DRCT`
`E_DRER`
`E_DRID`
`E_DRR1`
`E_DRS0`
`E_DRSI`
`E_DRUR`
`E_DSTD`
`E_ENVO`
`E_ERDC`
`E_IDSQ`
`E_LKAZ`
`E_PSNS`
`E_RCOL`
`E_RTYP`
`E_RUCD`
`E_RUNI`
`E_SAC0`
`E_SACB`
`E_SARF`
`E_SMCO`
`E_STD2`
`E_STDX`
`E_TDSR`
`E_URES`
`E_UTAB`
`E_VTCT`
`E_VTSX`
`F_UNEX`
`I_CQCU`
`I_DLNR`
`I_DLVR`
`I_EXCL`
`I_GEDL`
`I_IKAC`
`I_IKER`
`I_IKSD`
`I_RNTY`
`I_SDDF`
`I_SDDO`
`I_SDPR`
`I_SMCU`
`W_CQCO`
`W_DLCT`
`W_DRCT`
`W_MTAB`
`W_NOCT`
`W_PIDU`
`W_PSDU`
`W_QERR`
`W_SAVV`
`W_SDND`
`W_SMCO`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a short textual description of the use of this code.
`DatalinkCode.Doc`
`getDocument()`
Returns a reference to the standards document to which this code refers, if applicable.
`String`
`getLabel()`
Returns the 4-character label of this code.
`String`
`getSection()`
Returns an indication of the location within the standards document to which this code refers.
`ReportType`
`getType()`
Returns the type of this code.
`static DatalinkCode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DatalinkCode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### E_BFLT

public static final DatalinkCode E_BFLT

### E_BVOT

public static final DatalinkCode E_BVOT

### E_CQCO

public static final DatalinkCode E_CQCO

### E_DCER

public static final DatalinkCode E_DCER

### E_DLCT

public static final DatalinkCode E_DLCT

### E_DRCT

public static final DatalinkCode E_DRCT

### E_DRER

public static final DatalinkCode E_DRER

### E_DRID

public static final DatalinkCode E_DRID

### E_DRR1

public static final DatalinkCode E_DRR1

### E_DRS0

public static final DatalinkCode E_DRS0

### E_DRSI

public static final DatalinkCode E_DRSI

### E_DRUR

public static final DatalinkCode E_DRUR

### E_DSTD

public static final DatalinkCode E_DSTD

### E_ENVO

public static final DatalinkCode E_ENVO

### E_ERDC

public static final DatalinkCode E_ERDC

### E_IDSQ

public static final DatalinkCode E_IDSQ

### E_LKAZ

public static final DatalinkCode E_LKAZ

### E_PSNS

public static final DatalinkCode E_PSNS

### E_RCOL

public static final DatalinkCode E_RCOL

### E_RTYP

public static final DatalinkCode E_RTYP

### E_RUCD

public static final DatalinkCode E_RUCD

### E_RUNI

public static final DatalinkCode E_RUNI

### E_SAC0

public static final DatalinkCode E_SAC0

### E_SACB

public static final DatalinkCode E_SACB

### E_SARF

public static final DatalinkCode E_SARF

### E_SMCO

public static final DatalinkCode E_SMCO

### E_STD2

public static final DatalinkCode E_STD2

### E_STDX

public static final DatalinkCode E_STDX

### E_TDSR

public static final DatalinkCode E_TDSR

### E_URES

public static final DatalinkCode E_URES

### E_UTAB

public static final DatalinkCode E_UTAB

### E_VTCT

public static final DatalinkCode E_VTCT

### E_VTSX

public static final DatalinkCode E_VTSX

### F_UNEX

public static final DatalinkCode F_UNEX

### I_CQCU

public static final DatalinkCode I_CQCU

### I_DLNR

public static final DatalinkCode I_DLNR

### I_DLVR

public static final DatalinkCode I_DLVR

### I_EXCL

public static final DatalinkCode I_EXCL

### I_GEDL

public static final DatalinkCode I_GEDL

### I_IKAC

public static final DatalinkCode I_IKAC

### I_IKER

public static final DatalinkCode I_IKER

### I_IKSD

public static final DatalinkCode I_IKSD

### I_RNTY

public static final DatalinkCode I_RNTY

### I_SDDF

public static final DatalinkCode I_SDDF

### I_SDDO

public static final DatalinkCode I_SDDO

### I_SDPR

public static final DatalinkCode I_SDPR

### I_SMCU

public static final DatalinkCode I_SMCU

### W_CQCO

public static final DatalinkCode W_CQCO

### W_DLCT

public static final DatalinkCode W_DLCT

### W_DRCT

public static final DatalinkCode W_DRCT

### W_MTAB

public static final DatalinkCode W_MTAB

### W_NOCT

public static final DatalinkCode W_NOCT

### W_PIDU

public static final DatalinkCode W_PIDU

### W_PSDU

public static final DatalinkCode W_PSDU

### W_QERR

public static final DatalinkCode W_QERR

### W_SAVV

public static final DatalinkCode W_SAVV

### W_SDND

public static final DatalinkCode W_SDND

### W_SMCO

public static final DatalinkCode W_SMCO

## Method Details

### values

public static DatalinkCode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DatalinkCode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

public ReportType getType()
Description copied from interface: `ReportCode`
Returns the type of this code.

Specified by:
  `getType` in interface `ReportCode`
Returns:
  type

### getLabel

public String getLabel()
Description copied from interface: `ReportCode`
Returns the 4-character label of this code.

Specified by:
  `getLabel` in interface `ReportCode`
Returns:
  4-character label

### getDescription

public String getDescription()
Returns a short textual description of the use of this code. It may not be very precise; if the message put through the reporting system is available, that should be used in preference.

Returns:
  description

### getDocument

public DatalinkCode.Doc getDocument()
Returns a reference to the standards document to which this code refers, if applicable.

Returns:
  standards document reference, or null if inapplicable or unknown

### getSection

public String getSection()
Returns an indication of the location within the standards document to which this code refers.

Returns:
  standards document section name/number/etc, or null if inapplicable or unknown